Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QMQJML

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase
                  |
                  +--com.jxml.quick.util.qjml4.QMQJML

All Implemented Interfaces:
  Item, QConverter, QGBaseIntf

public class QMQJML
extends QGBase
implements QGBaseIntf

Field Summary
`ArrayList` | `items` list of QMElement
`String` | `root`

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QMQJML()`
`QMQJML(String root, ArrayList items)`

Method Summary
`void` | `evalRoot()` Generate element events.
`QMElement` | `getQMElement(int i)`
`void` | `print(PrintWriter pw, String indent)` print a summary of this object
`int` | `qMElementCount()`
`void` | `setDestination(DocumentHandler destination)` Set the destination for the generated SAX events.
`void` | `setQMElement(int i, QMElement qMElement)`

Methods inherited from class com.jxml.quick.util.qjml4.QGBase
`cvt, print`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, getPUBLIC, getRootTag, getSYSTEM, main, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.util.qjml4.QGBaseIntf
`print`

Field Detail

### root

    public String root

### items

    public ArrayList items

  list of QMElement

Constructor Detail

### QMQJML

    public QMQJML()

### QMQJML

    public QMQJML(String root,
                  ArrayList items)

Method Detail

### setDestination

    public void setDestination(DocumentHandler destination)

  Description copied from class: `QConverterSupport`
  Set the destination for the generated SAX events. Called by eval for the root node, but must be called by application logic for all other nodes before generating any events.
  Overrides:
    `setDestination` in class `QConverterSupport`
  Following copied from class: `com.jxml.quick.QConverterSupport`
  Parameters:
    `destination` - Destination for all generated SAX events.

### evalRoot

    public void evalRoot()
                  throws SAXException

  Description copied from class: `QConverterSupport`
  Generate element events. Called by the eval method on the root object. Must be overridden by application logic on the root object.
  Overrides:
    `evalRoot` in class `QConverterSupport`

### getQMElement

    public QMElement getQMElement(int i)

### setQMElement

    public void setQMElement(int i,
                             QMElement qMElement)

### qMElementCount

    public int qMElementCount()

### print

    public void print(PrintWriter pw,
                      String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`
  Overrides:
    `print` in class `QGBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD